not required1 compressor - not_required1-compressor